//
//  FIPLABNewsletter.h
//  FIPLABNewsletter
//
//  Created by Andrew on 11/18/11.
//  Copyright (c) 2011 FIPLAB Ltd.. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FIPLABNewsletterConstants.h"
#import "SubscribeWC.h"
#import "ChimpKit.h"

@protocol FIPLABNewsletterDelegate <NSObject>
@required
- (void)subscriptionWasSuccessful;
- (void)subscriptionFailedWithError:(NSError *)subError;

@optional
-(void)setToOpenAtLogin;
-(void)setToNotOpenAtLogin;
@end

@interface FIPLABNewsletter : NSObject <ChimpKitDelegate, SubscribeDelegate>
{
    id<FIPLABNewsletterDelegate> _delegate;
    NSString *listID;
    NSString *appName;
    NSDictionary *colorTheme;
    BOOL isActivelyDisplayed;
    
    @private
//    NSString *fName, *lName;
    SubscribeWC *_controller;
  BOOL _hideStartAtLogin;
}
@property (nonatomic, retain) id<FIPLABNewsletterDelegate> delegate;
@property (nonatomic, retain) NSString *listID;
@property (nonatomic, retain) NSString *appName;
@property (nonatomic, retain) NSDictionary *colorTheme;
@property (nonatomic, assign) BOOL isActivelyDisplayed;
@property(retain, nonatomic) SubscribeWC *controller;

@property(nonatomic) BOOL hideStartAtLogin;

+ (FIPLABNewsletter *)sharedNewsletter;
+ (BOOL)hasShownNewsletterSubscribe;
+ (BOOL)userHasAlreadySubscribed;
+ (BOOL)userHasAlreadyDeclined;
- (void)showNewsletterSubscribe;
- (void)bringSubscriptionWindowToFront;

@end
