//
//  SubscribeWC.h
//  FIPLABNewsletter
//
//  Created by Andrew on 11/18/11.
//  Copyright (c) 2011 FIPLAB Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ColorGradientView;

@protocol SubscribeDelegate <NSObject>
- (void)userDidSubmitWithData:(NSDictionary *)info;
- (void)userDidDecline;
- (void)userCheckedOpenAtLogin;
- (void)userUncheckedOpenAtLogin;
@end

@interface SubscribeWC : NSWindowController <NSComboBoxDelegate, NSComboBoxDataSource, NSWindowDelegate>
{
    id<SubscribeDelegate> delegate;
    NSString *appName;
    NSDictionary *colorTheme;
    
    NSArray *_emailAddresses;
  NSView *startAtLoginContainer;
  NSView *subscribeContainer;
  NSView *connectContainer;
  NSImageView *step3Image;
  NSImageView *step2Image;
    
    BOOL _closedByUser;
    
    IBOutlet ColorGradientView *windowVw;
    IBOutlet ColorGradientView *headerVw;
    IBOutlet ColorGradientView *contentVw;
    
    IBOutlet NSTextField *titleLbl;
    IBOutlet NSImageView *iconImgVw;
    IBOutlet NSTextField *joinLbl;
    IBOutlet NSTextField *descriptionLbl;
    IBOutlet NSComboBox *emailCmbBx;
    IBOutlet NSTextField *errorLbl;
    
    IBOutlet NSButton *addMeBtn;
    IBOutlet NSButton *noThanksBtn;
    IBOutlet NSButton *closeBtn;
    
    IBOutlet NSTextField *welcomeToAppNameLabel;
    IBOutlet NSTextField *startAppNameAtLoginLabel;
    IBOutlet NSButton *startAppNameAtLoginCheckbox;
    IBOutlet NSButton *subscribeToEmailListCheckbox;
    
    IBOutlet NSButton *startAppNameButton;
    
  BOOL _hideStartAtLogin;
}
@property (nonatomic, retain) id delegate;
@property (nonatomic, retain) NSString *appName;
@property (nonatomic, retain) NSDictionary *colorTheme;
@property (nonatomic, retain) NSArray *emailAddresses;

@property (assign) IBOutlet NSView *startAtLoginContainer;
@property (assign) IBOutlet NSView *subscribeContainer;
@property (assign) IBOutlet NSView *connectContainer;
@property (assign) IBOutlet NSImageView *step3Image;
@property (assign) IBOutlet NSImageView *step2Image;

@property(nonatomic) BOOL hideStartAtLogin;

- (IBAction)closeSubWindow:(id)sender;
- (IBAction)doneTapped:(id)sender;
- (IBAction)startAppTapped:(id)sender;

- (IBAction)openFacebook:(id)sender;
- (IBAction)openTwitter:(id)sender;
- (IBAction)openMoreApps:(id)sender;

-(IBAction)loginStateToggled:(NSButton *)sender;
@end
