//
//  NSColor+Utilities.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/1/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSColor (Utilities)
/**
 * Converts real HSB values to an NSColor using colorWithCalibratedHue:saturation:brightness:alpha
 * @param hue Accepts 0 to 360
 * @param saturation Accepts 0 to 100
 * @param brightness Accepts 0 to 100
 * @param alpha Accepts 0 to 1
 */
+ (NSColor *)colorWithEasyHue:(CGFloat)hue
                   saturation:(CGFloat)saturation
                   brightness:(CGFloat)brightness
                        alpha:(CGFloat)alpha;

/**
 * Converts an NSColor to CGColorRef
 * If we're running 10.8+ this method will return the built in -CGColor value
 * 
 * @bug Does not work with NSColor's with pattern images
 */
- (CGColorRef)CGColorRef;

@end
