//
//  FLBezierPath.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/5/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
  FLRectCornerTopLeft     = 1 << 0,
  FLRectCornerTopRight    = 1 << 1,
  FLRectCornerBottomLeft  = 1 << 2,
  FLRectCornerBottomRight = 1 << 3,
  FLRectCornerAllCorners  = ~0
} FLRectCorner;


@interface FLBezierPath : NSObject
+(FLBezierPath *)bezierPathWithRoundedRect:(CGRect)rect byRoundingCorners:(FLRectCorner)corners cornerRadii:(CGSize)cornerRadii;

@property(nonatomic) CGPathRef CGPath;

- (void)fill;

@end
