//
//  FLButton.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/4/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class FLButton;
typedef void(^FLButtonWasClickedBlock)(FLButton *button);

@interface FLButton : NSButton
@property(nonatomic) BOOL toggleButton;
@property(nonatomic) BOOL tabButton;
@property(nonatomic) BOOL showsCursor;
@property(nonatomic) BOOL actionOnMouseDown;

@property(strong, nonatomic) NSImage *highlightedImage;
@property(strong, nonatomic) NSImage *activeImage;

@property(strong, nonatomic) NSString *accessibilityTitle;
@property(copy, nonatomic) FLButtonWasClickedBlock wasClickedBlock;
@property(strong, nonatomic) NSColor *titleColor;
@property(strong, nonatomic) NSShadow *textShadow;

-(void)setTarget:(id)target action:(SEL)action;
@end
