//
//  FLClearableTextField.h
//  FLKit
//
//  Created by Harry Richardson on 19/03/2013.
//  Copyright (c) 2013 FIPLAB Ltd. All rights reserved.
//

#import <FLKit/FLKit.h>

@class FLTextField, FLClearableTextField;

@protocol FLClearableTextFieldDelegate <NSObject>
@optional
-(void)searchField:(FLClearableTextField *)searchField textDidChange:(NSString *)text;
@end


@interface FLClearableTextField : FLView<NSTextFieldDelegate>

@property(unsafe_unretained, nonatomic) IBOutlet id<FLClearableTextFieldDelegate> delegate;

@property(strong, nonatomic) NSTextField *textField;
@property(copy, nonatomic) NSString *text;

@property(strong, nonatomic) NSImage *clearButtonImage;
@property(strong, nonatomic) NSImage *clearButtonHighlightedImage;

@property(strong, nonatomic) NSColor *bottomHighlightColor;

@property(strong, nonatomic) NSColor *borderColor;
@property(nonatomic) BOOL hasError;
@property(nonatomic) BOOL isSecure;


-(void)clear;


@end
