//
//  FLNavigationBar.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/3/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import "FLView.h"

FOUNDATION_EXPORT CGFloat const NavigationBarHeight;
FOUNDATION_EXPORT CGFloat const NavigationBarHeightSmall;
FOUNDATION_EXPORT CGFloat const NavigationBarArrowWidth;
FOUNDATION_EXPORT CGFloat const NavigationBarArrowHeight;

typedef enum{
  FLNavigationBarHighlightPosition_Bottom = 0,
  FLNavigationBarHighlightPosition_Top
} FLNavigationBarHighlightPosition;


typedef enum{
  FLNavigationBarSize_Normal,
  FLNavigationBarSize_Small
} FLNavigationBarSize;

@class FLNavigationButton, FLLabel, FLGradient;

@protocol FLNavigationBarDelegate <NSObject>
-(void)backButtonItemWasTapped;
@end

@interface FLNavigationBar : FLView
@property(weak, nonatomic) id<FLNavigationBarDelegate>delegate;

@property(strong, nonatomic) FLGradient *gradient;

@property(strong, nonatomic) FLLabel *titleView;

@property(strong, nonatomic) NSString *title;

@property(nonatomic, readonly) CGFloat barHeight;

@property(nonatomic) BOOL hideShadow;
@property(nonatomic) BOOL showsArrow;

@property(nonatomic) FLNavigationBarSize navigationBarSize;

@property(strong, nonatomic) Class backButtonClass;

//Highlight
@property(nonatomic) FLNavigationBarHighlightPosition highlightPosition;
@property(strong, nonatomic) NSColor *highlightColor;

//Left Buttons
@property(strong, nonatomic) FLNavigationButton *leftBarButtonItem;
@property(strong, nonatomic) FLNavigationButton *innerLeftBarButtonItem;

//Right Buttons
@property(strong, nonatomic) FLNavigationButton *rightBarButtonItem;
@property(strong, nonatomic) FLNavigationButton *innerRightBarButtonItem;

-(CGFloat)barHeightShowsArrow:(BOOL)showsArrow;

//
-(void)pushNavigationItemAnimated:(BOOL)animated;
-(void)popNavigationItemAnimated:(BOOL)animated;

- (void)bindHotKey;
@end
