//
//  FLSearchField.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/4/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//


#import "FLView.h"

FOUNDATION_EXPORT NSString *const FLSearchFieldResignFirstResponderNotification;

@class FLSearchField, FLTextField;

@protocol FLSearchFieldDelegate <NSObject>
@optional
-(void)searchField:(FLSearchField *)searchField textDidChange:(NSString *)text;
@end

@interface FLSearchField : FLView<NSTextFieldDelegate>
@property(unsafe_unretained, nonatomic) IBOutlet id<FLSearchFieldDelegate> delegate;

@property(strong, nonatomic) FLTextField *textField;
@property(copy, nonatomic) NSString *text;

@property(strong, nonatomic) NSImage *searchIcon;
@property(strong, nonatomic) NSImage *leftCapImage;
@property(strong, nonatomic) NSImage *rightCapImage;
@property(strong, nonatomic) NSImage *middleImage;
@property(strong, nonatomic) NSImage *clearButtonImage;
@property(strong, nonatomic) NSImage *clearButtonHighlightedImage;

@property(strong, nonatomic) NSColor *bottomHighlightColor;
-(void)clear;
@end
