//
//  FLSwitchView.h
//  FLKit
//
//  Created by Frankie Laguna on 10/9/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <FLKit/FLKit.h>

@class FLSwitchView;

@protocol FLSwitchViewDelegate <NSObject>
-(void)switchView:(FLSwitchView *)switchValue stateDidChange:(BOOL)on;
@end

@interface FLSwitchView : NSControl
@property(unsafe_unretained, nonatomic) IBOutlet id<FLSwitchViewDelegate> delegate;

@property(strong, nonatomic) NSImage *backgroundImage;
@property(strong, nonatomic) NSImage *handleImage;
@property(strong, nonatomic) NSColor *labelColor;

@property(nonatomic) BOOL on;
-(void)setOn:(BOOL)on silent:(BOOL)silent;

-(void)styleSwitchWithBackground:(NSImage *)backgroundImage handleImage:(NSImage *)handleImage labelColor:(NSColor *)labelColor;
@end
