//
//  FLTimer.h
//  FLKit
//
//  Created by Frankie Laguna on 1/23/13.
//  Copyright (c) 2013 FIPLAB Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@class FLTimer;
typedef void(^FLTimerDidFinishBlock)(FLTimer *timer);

@interface FLTimer : NSObject
/* Config */
@property(nonatomic) NSTimeInterval interval;
@property(nonatomic) BOOL repeats;
@property(strong, nonatomic) id userInfo;

/* Callback */
@property(nonatomic, copy) FLTimerDidFinishBlock didFinishBlock;


/* Creation */
+(FLTimer *)timerWithInterval:(NSTimeInterval)interval
                      repeats:(BOOL)repeats
                     userInfo:(id)userInfo
               didFinishBlock:(FLTimerDidFinishBlock)didFinishBlock;

/* Management */
-(void)run;
-(void)invalidate;

@end



