//
//  FLView.h
//  NotesTab
//
//  Created by Frankie Laguna on 9/28/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FLBezierPath.h"

@class FLView;

@protocol FLViewSwipeDelegate <NSObject>
@optional
-(void)view:(id)view didSwipe:(BOOL)isLeft;
-(void)view:(id)view didSwipe:(BOOL)isLeft event:(NSEvent *)event;
@end

@interface FLView : NSView
+(void)setFlipped:(BOOL)flipped;

@property(unsafe_unretained, nonatomic) id<FLViewSwipeDelegate> swipeDelegate;
@property(strong, nonatomic) NSColor *backgroundColor;

@property(nonatomic) CGFloat topMargin;

@property(nonatomic) CGFloat cornerRadius;
@property(nonatomic) FLRectCorner roundingCorners;

@property(nonatomic) CGFloat innerBorderWidth;
@property(nonatomic) NSColor *innerBorderColor;

@property(nonatomic) BOOL flipped;
@property(nonatomic) BOOL clip;

@property(strong, nonatomic) id userInfo;

@end
